summaryrefslogtreecommitdiffstats
path: root/tests/mmanon_zero_128_ipv6.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mmanon_zero_128_ipv6.sh')
-rwxr-xr-xtests/mmanon_zero_128_ipv6.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/tests/mmanon_zero_128_ipv6.sh b/tests/mmanon_zero_128_ipv6.sh
new file mode 100755
index 0000000..f410dfc
--- /dev/null
+++ b/tests/mmanon_zero_128_ipv6.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+# add 2016-11-22 by Jan Gerhards, released under ASL 2.0
+
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+template(name="outfmt" type="string" string="%msg%\n")
+
+module(load="../plugins/mmanon/.libs/mmanon")
+module(load="../plugins/imtcp/.libs/imtcp")
+input(type="imtcp" port="0" listenPortFileName="'$RSYSLOG_DYNNAME'.tcpflood_port" ruleset="testing")
+
+ruleset(name="testing") {
+ action(type="mmanon" ipv6.bits="129" ipv6.anonmode="zero")
+ action(type="omfile" file=`echo $RSYSLOG_OUT_LOG` template="outfmt")
+}
+action(type="omfile" file=`echo $RSYSLOG2_OUT_LOG`)'
+
+startup
+tcpflood -m1 -M "\"<129>Mar 10 01:00:00 172.20.245.8 tag: asdfghjk
+<129>Mar 10 01:00:00 172.20.245.8 tag: FFFF:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF
+<129>Mar 10 01:00:00 172.20.245.8 tag: 61:34:ad::7:F aa:ff43::756:99:0
+<129>Mar 10 01:00:00 172.20.245.8 tag: ::
+<129>Mar 10 01:00:00 172.20.245.8 tag: 0::
+<129>Mar 10 01:00:00 172.20.245.8 tag: 13:abd:45:
+<129>Mar 10 01:00:00 172.20.245.8 tag: textnoblank72:8374:adc7:47FF::43:0:1AFEstillnoblank\""
+
+shutdown_when_empty
+wait_shutdown
+export EXPECTED=' asdfghjk
+ 0:0:0:0:0:0:0:0
+ 0:0:0:0:0:0:0:0 0:0:0:0:0:0:0:0
+ 0:0:0:0:0:0:0:0
+ 0:0:0:0:0:0:0:0
+ 13:abd:45:
+ textnoblank0:0:0:0:0:0:0:0stillnoblank'
+cmp_exact
+
+grep 'invalid number of ipv6.bits (129), corrected to 128' ${RSYSLOG2_OUT_LOG} > /dev/null
+if [ $? -ne 0 ]; then
+ echo "invalid correction of bits parameter generated, ${RSYSLOG2_OUT_LOG} is:"
+ cat ${RSYSLOG2_OUT_LOG}
+ error_exit 1
+fi;
+
+exit_test